import 'package:flutter/material.dart';

class API {
  API({required this.baseUrl});

  final String baseUrl;

  factory API.worksdataDev() => API(
        baseUrl: 'https://worksdata-2pyg53q3gq-as.a.run.app',
      );

  factory API.worksdataQA() => API(
        baseUrl: 'https://worksdata-smjsdy3d7q-as.a.run.app',
      );

  factory API.worksdataProd() => API(
        baseUrl: 'https://worksdata-x2k4pl7lfq-as.a.run.app',
      );

  factory API.ipify() => API(baseUrl: 'https://api.ipify.org');

  factory API.ipGeolocation() =>
      API(baseUrl: 'https://api.ipgeolocationapi.com/geolocate/');

  /// Combining base url and the path.
  ///
  /// path: google.com/{path}
  String endpointUrl(String? path) => '$baseUrl$path';
}
